Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.artifacts.maven
[Java] Class Conf2ScopeMapping

    java.lang.Object
      org.gradle.api.artifacts.maven.Conf2ScopeMapping

    public class Conf2ScopeMapping

An immutable mapping to map a dependency configuration to a Maven scope. This class has implemented equality and hashcode based on its values not on object identity.

Authors:
  Hans Dockter

See Also:
  Conf2ScopeMappingContainer

Constructor Summary
`Conf2ScopeMapping(java.lang.Integer priority, Configuration configuration, java.lang.String scope)` Constructs a `Conf2ScopeMapping`.

Method Summary
`boolean` | `equals(java.lang.Object o)`
`Configuration` | `getConfiguration()` Returns the dependency configuration name.
`java.lang.Integer` | `getPriority()` Returns the priority.
`java.lang.String` | `getScope()` Returns the Maven scope name.
`int` | `hashCode()`

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### Conf2ScopeMapping

    public Conf2ScopeMapping(java.lang.Integer priority, Configuration configuration, java.lang.String scope)

  Constructs a `Conf2ScopeMapping`.
  Parameters:
    `priority` - The priority of this mapping
    `configuration` - The configuration name
    `scope` - The Maven scope name

Method Detail

### equals

    @Override
    public boolean equals(java.lang.Object o)

### getConfiguration

    public Configuration getConfiguration()

  Returns the dependency configuration name.

### getPriority

    public java.lang.Integer getPriority()

  Returns the priority.

### getScope

    public java.lang.String getScope()

  Returns the Maven scope name.

### hashCode

    @Override
    public int hashCode()

Groovy Documentation